目次

Wwise Integration Packageを新しいバージョンにアップデート・アップグレードする

Warning.gif
警告: 注意点
  • Unity移行の操作は元に戻せません。始める前に、Unityプロジェクトのバックアップをすること。
  • Unityプロジェクトをソースコントロールで管理している場合は、移行を始める前にUnityプロジェクトフォルダ全体をチェックアウトすること。これを行わないと、対象のファイルを正しく変更できないため移行が失敗する。
  • Wwiseインテグレーションをインストールする前に、Unityプロジェクトがエラー無しで正常にコンパイルできる状態であることを確認すること。(Warning表示は許容範囲内。)
  • C++ AkSoundEngine プラグインソースコードの、C++ Wwise SDKを変更している場合は、次に記載の指示に従ってください: プラグインのC++コードを更新した後に、Wwise Integration Packageを新しいバージョンにアップデート・アップグレードする

このインストール手順は、以前のWwise Integrationパッケージを含むUnityプロジェクトが既にあることを前提としています。新規インストールの場合は、 Wwise Integration Packageを初めてインストールする ページを参照してください。他のUnityプラグインと異なり、新しいバージョンにアップグレードするには以前のWwise Integrationパッケージをインストールしたまま残しておく必要があります。Wwise Launcherが新機能やバグフィックスをインストールしてから、以前のWwise Integrationを新規バージョンに移行させます。

Warning.gif
警告: 新しいWwise Integrationをインストールする前に古いインテグレーションを削除してしまうと、今までゲームにインテグレートしたWwiseオーディオが全て失われてしまうので、避けてください。

アップグレードは2段階に分けて行われます。まず最初にWwiseプロジェクトをこれから利用するバージョンにアップデートしてから、Unityプロジェクトも同様にアップデートする必要があります。

Wwiseプロジェクトを新しいWwiseバージョンにアップデートする

  1. Unityで使用する新しいWwise Integrationパッケージと合うWwiseのバージョンを起動する。
  2. Wwise Projectを開く。
  3. Wwiseプロジェクトを最新バージョンにアップデートするよう促すプロンプトが表示されたら、'Yes'と答える。
  4. 完了したら、Wwise SoundBankを再生成して、Unityプロジェクトを新しいWwiseのバージョンにした後の作業を続けられるようにすること。Once completed, make sure to regenerate your Wwise SoundBanks to be ready to carry on with your work after updating the Unity project to the new Wwise version.

Unityプロジェクトを新しいWwiseバージョンにアップデートする

Unityプロジェクトを新しいWwiseバージョンにアップデートするには、Wwise Launcherを使います。

Wwise Unity Integrationに対してFri Mar 15 17:37:20 2019に生成されました。  doxygen 1.6.3